> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Global Companies Admin



## OpenAPI

````yaml /openapi.json post /admin/api/global-companies
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/global-companies:
    post:
      tags:
        - Global Companies Admin
      summary: Create Global Companies Admin
      operationId: GlobalCompaniesAdminController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGlobalCompanyDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlobalCompanyCreationResponseDto'
components:
  schemas:
    CreateGlobalCompanyDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        primaryType:
          enum:
            - brand
            - rep
            - dealer
            - distributor
          type: string
        legalName:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        country:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        aliases:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 255
        domains:
          type: array
          items:
            type: string
            maxLength: 2048
        requestKey:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      required:
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - requestKey
      additionalProperties: false
    GlobalCompanyCreationResponseDto:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/GlobalCompanyResponseDto'
        created:
          type: boolean
      required:
        - company
        - created
    GlobalCompanyResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryType:
          enum:
            - brand
            - rep
            - dealer
            - distributor
          type: string
        legalName:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
        retiredAt:
          type: string
          nullable: true
      required:
        - id
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - retiredAt

````